MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Attach External A2A Agent as ToolAttach Own Agent as A2A ToolDelete Agent A2A ToolInspect External Agent CardList Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
Agents
Auth
Billing
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Embedding
Fleet
Knowledge Bases
LLM
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisations
Realtime
Reviews
Roadmap
SCIM
STT
Suppression
Triggers
TTS
Users
Utils
Voices
Webhooks
Workflows
API ReferenceAgent A2A Tools

Attach Own Agent as A2A Tool

POST
/v1/agents/{agent_id}/a2a-tools/own-agent

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

agent_id*Agent Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/a2a-tools/own-agent" \  -H "Content-Type: application/json" \  -d '{    "target_agent_id": "b0b31ccc-0df2-496f-b84c-b8d90f867dcc"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "target_kind": "string",  "target_agent_id": "b0b31ccc-0df2-496f-b84c-b8d90f867dcc",  "target_url": "string",  "name": "string",  "description": "string",  "has_credential": true,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}
{  "detail": "string",  "code": "string"}
{  "detail": "string",  "code": "string"}
{  "detail": "string",  "code": "string"}

Attach External A2A Agent as Tool

Previous Page

Delete Agent A2A Tool

Next Page

target_agent_id*Target Agent Id
Formatuuid